Get Aggregator Pooled Storage Usage
This API is Applicable only for SaaS Environment
This API can be used to obtain pooled storage data for the Aggregator for the given usage month. Each Sub MSP has its pooled storage, the Aggregator will also have its pooled storage among direct accounts. All dates in usage API refer to UTC time zone. Usage shown is the peak usage in the given usage month.
Query Parameters
- usageMonth date required
The month for which usage is returned. Time zone is UTC. Format is "YYYY-MM-DD".
- subMspId string
Sub MSP ID. Supply this parameter to retrieve usage for accounts under certain Sub MSP or direct accounts under Aggregator.
- sort string
Sort parameter. Schema is order:fieldName. If not provided, default asc:subMspName.
- pageNumber integer
Pagination parameter. If not provided, default 0.
- pageSize integer
Possible values:
>= 1and<= 1000Pagination parameter. If not provided, default 100.
- 200
- 401
- 403
- 500
Success
- application/json
- Schema
- Example (from schema)
- Get pooled storage usage for all
- Get pooled storage usage for Sub M S Ps
- Get pooled storage usage for Aggregator
- Get pooled storage usage for single Sub M S P
Schema
data object[]
usageMonth stringCalendar month for which usage is returned
subMspId uuidSub MSP ID in Commvault
subMspName stringSub MSP name in Commvault
skuId stringService sku ID
consumedQuantity numberPeak usage quantity in usage month. This quantity is using measurement of our billing unit
entitledQuantity numberPre-commited quantity in usage month
overageQuantity numberQuantity used more than entitled quantity in usage month
billableQuantity numberQuantity that will be charged in usage month
unitPrice numberPrice for a single unit
unitQuantity numberService unit quantity
unit stringService unit
currency stringBilling currency
cost numberCost
metadata object
filter stringsort stringpagination object
pageNumber integerpageSize integertotalRecords integer
{
"data": [
{
"usageMonth": "string",
"subMspId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subMspName": "string",
"skuId": "string",
"consumedQuantity": 0,
"entitledQuantity": 0,
"overageQuantity": 0,
"billableQuantity": 0,
"unitPrice": 0,
"unitQuantity": 0,
"unit": "string",
"currency": "string",
"cost": 0
}
],
"metadata": {
"filter": "string",
"sort": "string",
"pagination": {
"pageNumber": 0,
"pageSize": 0,
"totalRecords": 0
}
}
}
Get pooled storage usage for current month
{
"data": [
{
"usageMonth": "2024-12-01",
"skuId": "MTSP-STREXP-TB",
"consumedQuantity": 0.54912,
"entitledQuantity": 0.1,
"overageQuantity": 0.44912,
"billableQuantity": 0.44912,
"unitPrice": 35.874,
"cost": 16.111731,
"unit": "TB",
"currency": "AUD"
},
{
"usageMonth": "2024-12-01",
"subMspId": "BFC6E6E6-D59B-44D4-BA3E-FC5D6CA1D681",
"subMspName": "Sub MSP 1",
"skuId": "MTSP-STREXP-TB",
"consumedQuantity": 150,
"entitledQuantity": 50,
"overageQuantity": 100,
"billableQuantity": 100,
"unitPrice": 35.874,
"cost": 3587.4,
"unit": "TB",
"currency": "AUD"
},
{
"usageMonth": "2024-12-01",
"subMspId": "8E931553-307E-45C4-98C1-BAC34ED5A357",
"subMspName": "Sub MSP 2",
"skuId": "MTSP-STREXP-TB",
"consumedQuantity": 20,
"entitledQuantity": 10,
"overageQuantity": 10,
"billableQuantity": 10,
"unitPrice": 35.874,
"cost": 358.74,
"unit": "TB",
"currency": "AUD"
}
],
"metadata": {
"filter": "usageMonth=2024-12-01",
"sort": "asc:subMspName",
"pagination": {
"pageNumber": 0,
"pageSize": 100,
"totalRecords": 3
}
}
}
Get pooled storage usage for current month for Sub MSPs
{
"data": [
{
"usageMonth": "2024-12-01",
"subMspId": "BFC6E6E6-D59B-44D4-BA3E-FC5D6CA1D681",
"subMspName": "Sub MSP 1",
"skuId": "MTSP-STREXP-TB",
"consumedQuantity": 150,
"entitledQuantity": 50,
"overageQuantity": 100,
"billableQuantity": 100,
"unitPrice": 35.874,
"cost": 3587.4,
"unit": "TB",
"currency": "AUD"
},
{
"usageMonth": "2024-12-01",
"subMspId": "8E931553-307E-45C4-98C1-BAC34ED5A357",
"subMspName": "Sub MSP 2",
"skuId": "MTSP-STREXP-TB",
"consumedQuantity": 20,
"entitledQuantity": 10,
"overageQuantity": 10,
"billableQuantity": 10,
"unitPrice": 35.874,
"cost": 358.74,
"unit": "TB",
"currency": "AUD"
}
],
"metadata": {
"filter": "usageMonth=2024-12-01&subMspId=*",
"sort": "asc:subMspName",
"pagination": {
"pageNumber": 0,
"pageSize": 100,
"totalRecords": 2
}
}
}
Get pooled storage usage for current month for Aggregator
{
"data": [
{
"usageMonth": "2024-12-01",
"skuId": "MTSP-STREXP-TB",
"consumedQuantity": 0.54912,
"entitledQuantity": 0.1,
"overageQuantity": 0.44912,
"billableQuantity": 0.44912,
"unitPrice": 35.874,
"cost": 16.111731,
"unit": "TB",
"currency": "AUD"
}
],
"metadata": {
"filter": "usageMonth=2024-12-01&subMspId=none",
"sort": "asc:subMspName",
"pagination": {
"pageNumber": 0,
"pageSize": 100,
"totalRecords": 1
}
}
}
Get pooled storage usage for current month for single Sub MSP
{
"data": [
{
"usageMonth": "2024-12-01",
"subMspId": "BFC6E6E6-D59B-44D4-BA3E-FC5D6CA1D681",
"subMspName": "Sub MSP 1",
"skuId": "MTSP-STREXP-TB",
"consumedQuantity": 150,
"entitledQuantity": 50,
"overageQuantity": 100,
"billableQuantity": 100,
"unitPrice": 35.874,
"cost": 3587.4,
"unit": "TB",
"currency": "AUD"
}
],
"metadata": {
"filter": "usageMonth=2024-12-01&subMspId=BFC6E6E6-D59B-44D4-BA3E-FC5D6CA1D681",
"sort": "asc:subMspName",
"pagination": {
"pageNumber": 0,
"pageSize": 100,
"totalRecords": 1
}
}
}
Unauthorized
Forbidden
Internal Server Error